Bug 374241 - Thinkpad Volume control keys has double effect.
Thinkpad Volume control keys has double effect.
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-09 22:09 EST by Feng Yu
Modified: 2009-01-09 00:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:07:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Feng Yu 2007-11-09 22:09:25 EST
Description of problem:
Thinkpad Volume control keys has double effect.

How reproducible:

Steps to Reproduce:
1. Login to the computer(T42 Thinkpad)
2. Press the volume lower (XF86AudioLowerVolume) key of the computer

Actual results:
A window show up to notify that gnome is tuning the volume. 

Unfortunately, the true volume I actually get is different from the one shown in
the window. The reason is that IBM Embeded controller has capture the button
press event and decrease its inchip volume setting, while gnome lowering the
volume of the master sound card. Both of the two lowering has effect.

Expected results: the volume is only lowered by either of the controller,
instead of both.
Comment 1 Feng Yu 2008-04-01 14:49:19 EDT
NOTE: It doesn't affact T61. T61 is troubled by a different problem, when an
external sound card is plugged in.

Maybe we should invent a quirk in hal like laptop_panel.brightness_in_hardware
or something?
Comment 2 Bug Zapper 2008-11-26 03:16:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 00:07:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.